> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapio.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Telegram channel's posts

> Fetch a public channel's current post feed.



## OpenAPI

````yaml get /v1/telegram/channel/posts
openapi: 3.1.0
info:
  title: Scrapio
  version: 1.0.0
  description: >-
    Turn any URL into structured data. Fetch raw HTML, crawl sites, extract
    structured content, interact with dynamic pages, and search the web through
    one API.
  contact:
    name: Scrapio Support
    url: https://scrapio.dev
  license:
    name: Proprietary
servers:
  - url: https://api.scrapio.dev
    description: Production
security:
  - bearerAuth: []
tags:
  - name: System
  - name: Fetch
  - name: Crawl
  - name: Map
  - name: Interact
  - name: Search
  - name: Google
  - name: Fast Search
  - name: Jobs
  - name: YouTube
  - name: Amazon
  - name: Walmart
  - name: Booking
  - name: Agoda
  - name: Airbnb
  - name: AutoTrader
  - name: Glassdoor
  - name: Trustpilot
  - name: ZipRecruiter
  - name: Dice
  - name: SimplyHired
  - name: Built In
  - name: Wellfound
  - name: ChatGPT
  - name: Perplexity
  - name: Gemini
  - name: Bing
  - name: Reddit
  - name: Instagram
  - name: Twitter
  - name: Facebook
  - name: Hacker News
  - name: GitHub
  - name: TikTok
  - name: Apple App Store
  - name: Target
  - name: Monitors
paths:
  /v1/telegram/channel/posts:
    get:
      tags:
        - Telegram
      summary: Get a Telegram channel's posts
      description: >-
        Fetch a public Telegram channel's current post feed. Backed by
        ScrapeCreators. Requires a Starter plan or higher.
      operationId: getTelegramChannelPosts
      parameters:
        - name: handle
          in: query
          required: true
          schema:
            type: string
            minLength: 1
        - name: cursor
          in: query
          required: false
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Structured Telegram channel post feed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TelegramChannelPostsResponse'
        '400':
          description: Missing or invalid handle.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '402':
          description: Telegram endpoints require a Starter plan or higher.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '404':
          description: >-
            The requested channel could not be found or its public preview is
            unavailable.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '429':
          description: >-
            Daily credit cap exceeded, or the upstream provider rate-limited the
            request.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '502':
          description: Telegram upstream failed or returned an unusable response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '503':
          description: Telegram execution backend unavailable or unconfigured.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      x-codeSamples:
        - lang: cURL
          label: cURL
          source: >-
            curl
            "https://api.scrapio.dev/v1/telegram/channel/posts?handle=durov" \
              -H "Authorization: Bearer $SCRAPIO_API_KEY"
components:
  schemas:
    TelegramChannelPostsResponse:
      type: object
      properties:
        provider:
          type: string
          enum:
            - telegram
        request_id:
          type: string
        channel:
          type: object
          properties:
            handle:
              anyOf:
                - type: string
                - type: 'null'
            name:
              anyOf:
                - type: string
                - type: 'null'
            description:
              anyOf:
                - type: string
                - type: 'null'
            url:
              anyOf:
                - type: string
                - type: 'null'
            avatar_url:
              anyOf:
                - type: string
                - type: 'null'
            is_verified:
              anyOf:
                - type: boolean
                - type: 'null'
            subscriber_count:
              anyOf:
                - type: number
                - type: 'null'
            member_count:
              anyOf:
                - type: number
                - type: 'null'
            photo_count:
              anyOf:
                - type: number
                - type: 'null'
            video_count:
              anyOf:
                - type: number
                - type: 'null'
            file_count:
              anyOf:
                - type: number
                - type: 'null'
            link_count:
              anyOf:
                - type: number
                - type: 'null'
          required:
            - handle
            - name
            - description
            - url
            - avatar_url
            - is_verified
            - subscriber_count
            - member_count
            - photo_count
            - video_count
            - file_count
            - link_count
          additionalProperties: false
        posts:
          type: array
          items:
            type: object
            properties:
              id:
                anyOf:
                  - type: string
                  - type: 'null'
              url:
                anyOf:
                  - type: string
                  - type: 'null'
              author_name:
                anyOf:
                  - type: string
                  - type: 'null'
              text:
                anyOf:
                  - type: string
                  - type: 'null'
              published_at:
                anyOf:
                  - type: string
                  - type: 'null'
              view_count:
                anyOf:
                  - type: number
                  - type: 'null'
              reactions:
                type: array
                items:
                  type: object
                  properties:
                    emoji:
                      anyOf:
                        - type: string
                        - type: 'null'
                    count:
                      anyOf:
                        - type: number
                        - type: 'null'
                  required:
                    - emoji
                    - count
                  additionalProperties: false
              reaction_count:
                anyOf:
                  - type: number
                  - type: 'null'
              forwarded_from:
                anyOf:
                  - type: string
                  - type: 'null'
            required:
              - id
              - url
              - author_name
              - text
              - published_at
              - view_count
              - reactions
              - reaction_count
              - forwarded_from
            additionalProperties: false
        cursor:
          anyOf:
            - type: string
            - type: 'null'
        has_more:
          anyOf:
            - type: boolean
            - type: 'null'
      required:
        - provider
        - request_id
        - channel
        - posts
        - cursor
        - has_more
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        request_id:
          type: string
        error:
          type: object
          properties:
            code:
              type: string
            message:
              type: string
          required:
            - code
            - message
        diagnostics:
          type: object
          properties:
            outcome:
              type: string
              enum:
                - failed
            retryable:
              type: boolean
            blocked:
              type: boolean
            timed_out:
              type: boolean
          required:
            - outcome
            - retryable
          additionalProperties: false
      required:
        - request_id
        - error
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key

````